%define name kdegraphics
%define version 1.1.2
%define release 12mdk
%define sourcedir stable/1.1.2/distribution/tar/generic/source

%define compiler gcc
%define qtver  qt >= 1.44

Name: %{name}
Summary: K Desktop Environment - Graphics Applications
Version: %{version}
Release: %{release}
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
Source1: kdegraphics_menuentries
Patch: %{name}-1.1-lowcolor.patch.bz2          
Patch1: %{name}-kpathsea.patch.bz2
Patch2: %{name}-991110.patch.bz2
Patch3: %{name}-kpaint.patch.bz2
Group: Graphics
BuildRoot: /var/tmp/%{name}-buildroot
Copyright: GPL
Requires: %{qtver} kdesupport

%description
Graphics applications for the K Desktop Environment.

Includes: kdvi (displays TeX .dvi files); kfax (displays fax
files); kfract (a fractal generator); kghostview (displays postscript files);
kiconedit (icon editor); kpaint (a simple drawing program); ksnapshot (screen
capture utility); kview (image viewer for GIF, JPEG, TIFF, etc.).

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q
#%patch -p0 -b .lowcolor
%patch1 -p1 -b .kpathsea
%patch2 -p1
%patch3 -p1

%build
make -f Makefile.cvs
libtoolize --force
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
   ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath
mkdir -p $RPM_BUILD_ROOT
if [ "$SMP" != "" ]; then
  (make "MAKE=make -k -j $SMP"; exit 0)
  make
else
  make
fi

%install
make install
install kdvi/pix/largetext.xpm $RPM_BUILD_ROOT/usr/share/apps/kpaint/toolbar

# (fg) Menu entries
mkdir -p $RPM_BUILD_ROOT/usr/lib/menu
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/kdegraphics

%clean
rm -rf $RPM_BUILD_ROOT 

%post
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true

%postun
if [ "$1" = "0" ]; then
[ -x /usr/bin/update-menus ] && /usr/bin/update-menus || true
fi

%files
%defattr(-,root,root,755)
%dir /usr/doc/kde/HTML/*
/usr/doc/kde/HTML/*/*
/usr/bin/*
/usr/lib/menu/kdegraphics
%dir /usr/share/apps
/usr/share/apps/*
%dir /usr/share/icons
/usr/share/icons/*xpm
%dir /usr/share/icons/mini
/usr/share/icons/mini/*xpm
%dir /usr/share/icons/large
/usr/share/icons/large/*xpm
%dir /usr/share/locale/*/LC_MESSAGES
/usr/share/locale/*/LC_MESSAGES/*

%changelog

* Fri Apr 07 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-12mdk

- Oops... Forget %defattr
- Menu entries reworked
- post and postun scripts
- Added --disable-rpath to ./configure

* Tue Mar 28 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-11mdk

- Oops... Wrong name for menu entries, fixed.


* Fri Mar 24 2000 Francis Galiegue <fg@mandrakesoft.com> 1.1.2-10mdk

- Don't use prefix
- Don't use autogenerated file list
- Added menu entries
- Changed group

* Wed Jan 19 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.1.2-9mdk

- libtoolize --force.

* Wed Dec 22 1999 John Corey <jcorey@mandrakesoft.com>
- Add a missing text toolbar icon.

* Mon Dec  6 1999 John Corey <jcorey@mandrakesoft.com>
- Rebuild with FHS-2.0 compliance
- Update with fixes in CVS.

* Thu Nov 04 1999 Daniel M. Duley <mosfet@linux-mandrake.com>
- Updated sources and RH compatible docpath. Re-enabled Makefile.cvs.

* Fri Oct 01 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- Cooker build
- dont use "make install-strip"

* Tue Sep 14 1999 Daniel M. Duley <mosfet@linux-mandrake.com>
- Combined Giuseppe's changes with my updates.

* Fri Sep 10 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- removed kdvi/kpathsea library building stage and use the one from 
  tetex package. This allows to have kdvi "syncronized" with tetex 
  kpathsea paths.
- changed default kdvi resolution from 300 to 600dpi, so it is the
  same as default for xdvi and dvips.

* Tue Sep 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove the -pre1.

* Sat Sep 04 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- Added patch to use lowcolor 32x32 icons.           

* Tue Aug 31 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Reprefixing to -pre1.

* Wed Aug 25 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990825.

* Tue Aug 24 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- 1.1.2 CVS snapshot day 19990824.

* Thu Aug 19 1999 Daniel M. Duley <mosfet@mandrakesoft.com>
- Updates from 1.1.2 CVS.

* Thu May 06 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Bug dependences (pre1 is more recent from 1.1) fixed.

* Wed May 05 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- 1.1.1

* Wed Apr 21 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 1.1.1pre1
- Mandrake adaptions

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Sat Feb 06 1999 Preston Brown <pbrown@redhat.com>
- updates to new libstdc++ and rpm standards.

* Wed Jan 06 1999 Preston Brown <pbrown@redhat.com>
- re-merged in updates from Duncan Haldane
